<?php

// Adding Twig built-in autoloader
require_once __DIR__ . '/vendor/autoload.php';
//require_once $config['twig_autoloader_file_path'];
//\Twig_Autoloader::register();

include dirname(__FILE__).'/Blended_Tags.php';

// It creates a template environment with the default settings and a loader that looks up the templates in the /path/to/templates/ directory.
$loader = new \Twig_Loader_Filesystem($config['html_templates_directory_path']);
$twig = new \Twig_Environment($loader);

// Blended functions,filters,tags and macro gets registered to the Twig Environment.
$twig->addExtension(new \Blended_Tags());
$twig->addExtension(new \Twig_Extension_StringLoader());


